2003-10-02  Chris Demetriou  <cgd@broadcom.com>

	* configure.in (EXP_LIB_SPEC): Use ${libdir} rather than
	${exec_prefix}/lib.
	* configure: Regenerate.

2003-07-15  Alexandre Oliva  <aoliva@redhat.com>

	* aclocal.m4 (CY_AC_PATH_TCLCONFIG): Use .../tcl/win, not cygwin.
	* configure, Dbgconfigure, testsuite/configure: Rebuilt.

2003-07-14  Alexandre Oliva  <aoliva@redhat.com>

	* aclocal.m4 (CY_AC_PATH_TKCONFIG): Look for it in .../tk/win.
	* configure: Rebuilt.
	* Dbgconfigure: Rebuilt to pick up 2002-07-30's change.

2003-01-29  Andrew Cagney  <ac131313@redhat.com>

	* configure.in (EXP_AND_TCL_LIBS): Set to TCL_CC_SEARCH_FLAGS
	instead of TCL_LD_SEARCH_FLAGS.
	(EXP_AND_TK_LIBS): Ditto.
	
2002-11-19  Andrew Cagney  <ac131313@redhat.com>

	* exp_clib.c (ecases;): Cast value returned by TclRegComp to a
 	void pointer.
	* exp_command.c (Exp_SpawnCmd): Cast `wfd' to an int before
	passing to `dup'.  Pass `rfd' and `wfd' to an int before assigning
	to `master'.

2002-07-30  Keith Seitz  <keiths@redhat.com>

	From Mo DeJong  <supermo@bayarea.net>
	* aclocal.m4 (CY_AC_PATH_TCLCONFIG): Check for a
	tclConfig.sh file in tcl/cygwin if one can't
	be found in tcl/unix. Update Itcl header check.
	* configure: Regenerated.

2002-04-11  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Don't use libutil.a on cygwin.
	* configure: Regenerate.

2002-03-06  Alexandre Oliva  <aoliva@redhat.com>

	* exp_command.c (STARARGV): Indent #defines properly.

2001-09-28  Kevin Buettner  <kevinb@redhat.com>

	* configure.in (_XOPEN_SOURCE): Permit definition of _NSIG to
	define _XOPEN_SOURCE too.
	* configure: Regenerated.

Thu Sep 20 16:00:44 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* Makefile.in (shared/tcl_regexp.o, tcl_regexp.o): Add explict
 	build rules that include @TCL_DEFS@ in the list of compiler flags.

Tue Sep 11 15:24:00 2001  Christopher Faylor <cgf@cygnus.com>

	Remove unneeded CYGWIN code throughout.
	Change CYGWIN32 to CYGWIN throughout.
	* configure.in: Use gcc -mno-win32 option under Cygwin.
	* configure: Regenerate.

2001-07-09  Ian Roxborough  <irox@redhat.com>

	* tclParse-compat.c: New file.
	* tcl_regexp.c:
	* tcl_regexp.h: New file.  Contains Tcl8.0's regexp.
	* Makefile.in: Added new files to be compiled and linked.
	* exp_clib.c (exp_expectl, exp_fexpectl):
	* exp_inter.c (in_keymap, Exp_InteractCmd ):
	* exp_regexp.c (regtry, regdump, regprop):
	* expect.c (parse_expect_args, eval_case_string,
	  exp_background_filehandler, Exp_ExpectCmd):
	* expect.h:
	* expect_comm.h:
	* Dbg.c (breakpoint_test, cmdBreak): Use newly built in
	  regexp, not external Tcl regexp.
	* exp_tty.c (exec_stty):
	* exp_command.c (Exp_CloseCmd, Tcl_CloseCmd): Handle Tcl API
	  changes in Tcl8.3.

2001-05-11  Andrew Cagney  <ac131313@redhat.com>

	From 2001-04-24 Rodney Brown <RDBrown@mira.net>:
	* configure.in: Only define _XOPEN_SOURCE if NSIG remains defined.
	* configure: Regenerate.
	
2000-07-06  Jim Wilson  <wilson@cygnus.com>

	* pty_termios.c: Include expect_cf.h before stdio.h.

2000-05-15  Tom Tromey  <tromey@cygnus.com>

	* expect_cf.h.in (_XOPEN_SOURCE): Added.
	* configure: Rebuilt.
	* configure.in: Define _XOPEN_SOURCE when using ptsname.

2000-03-31  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* Makefile.in (expect-bld.sh): New wrapper script.
	(all): Depend on it.
	(LOCAL_EXPECT): Use it.

1999-11-11  DJ Delorie  <dj@cygnus.com>

	* configure.in: use new library name, provide define for sources
	* configure: regenerate
	* exp_event.c: only take win-specific parts out if we did detect
	the unix/cygwin special version of libtcl.

1999-10-29  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in: For cygwin host, also override TCL_LIB_SPEC.
	* configure: Regenerated.

1999-10-27  DJ Delorie  <dj@cygnus.com>

	* configure.in: Use $host, not results of build, to detect
	cygwin-specific tcl library

1999-10-26  DJ Delorie  <dj@cygnus.com>

	* configure.in: If we detect a cygwin-specific version of tcl,
	use it.
	* exp_event.c: don't need the extra functions any more.

Wed Oct  6 04:12:08 1999  Brendan Kehoe  <brendan@cygnus.com>

	* configure.in (EXP_LD_SEARCH_FLAGS): If $GCC is "yes", don't do
	the substitution translating -Wl,-rpath,foo into just -rpath,
	since we're not using just the linker.
	* configure: Regenerated.

1999-09-17  DJ Delorie  <dj@cygnus.com>

	* expect.c: define SIMPLE_EVENT so that timeouts work

Wed Sep 15 19:29:13 1999  Jeffrey A Law  (law@cygnus.com)

	* exp_command.c (Exp_SpawnCmd): Make wfd and rfd wide enough and
	aligned enough so that they can hold pointer values.

1999-09-14  Felix Lee  <flee@cygnus.com>

	* exp_main_exp.c (main): call Tcl_FindExecutable.

1999-06-01  Angela Marie Thomas <angela@cygnus.com>

	* Makefile.in: Add install-minimal target.

1999-05-18  Fred Fish  <fnf@cygnus.com>

	* exp_strf.c (strchr): Do not try to declare if defined
	already with a #define.

1999-05-03  Tom Tromey  <tromey@cygnus.com>

	* configure, Dbgconfigure: Rebuilt with newer autoconf.

Mon Nov  2 15:05:33 1998  Geoffrey Noer  <noer@cygnus.com>

        * configure.in: detect cygwin* instead of cygwin32*
        * configure: regenerate

Fri Oct 16 22:26:59 1998    <dj@cygnus.com>

	* exp_event.c (pipe_thread): don't select or WFSO forever,
	else you hang when pipe_close is called.

Thu Oct 08 16:08:57 1998    <dj@cygnus.com>

	* exp_command.c (cygwin_pipe_dup): use this instead of dup()
	because sometimes we try to dup() a handle instead of a fd
	* exp_event.c (pipe_thread): check for "forgotten" threads
	and clean them up properly (else leaks).

Thu Oct  1 13:22:28 1998  DJ Delorie  <dj@indy.delorie.com>

	* exp_event.c (pipe_watch): close a thread handle leak.

1998-09-28  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure.in: Comment out not using -g on Linux.
	* configure: Regenerated.

Thu Sep 24 12:04:39 1998  DJ Delorie  <dj@indy.delorie.com>

	* exp_command.c (fd_new): move cygwin init outside of tcl version
 	check.

Thu Sep 17 18:08:42 1998  Christopher Faylor <cgf@cygnus.com>

	* exp_event.c (pipe_info): Reorganize for better cygwin
	functionality.
	(pipe_thread): Use cygwin select() to detect pipe activity
	since it now correctly handles EOF conditions.
	(pipe_close): Reorganize for better operation with pipe_thread
	change.
	(pipe_get_handle): Return cygwin fd since Windows handle is
	no longer required.
	(make_pipe_channel): Remove initialization of obsolete fields.

1998-08-28  Rob Savoye  <rob@chinadoll.cygnus.com>

	* aclocal.m4(CY_AC_LOAD_TCLCONFIG): Don't look for
	Tcl_CreateCommand(), cause libtcl hasn't been built yet. All this
	did was try to make sure you haven't removed your Tcl build
	directory.
	* configure: Regenerated.

1998-08-21  Rob Savoye  <rob@chinadoll.cygnus.com>

	* Most files: Merge in expect 5.26 to get better tcl8.x
	support. See HISTORY for more details.

	* aclocal.m4 (CY_AC_INTTYPES_H): Find inttypes.h, but if it's
	definitions conflict with sys/types.h, then don't include
	it.

Wed Jul 15 11:06:50 1998  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in: Fix typo.
	* configure: Regenerated.

Tue Jul 14 13:27:30 1998  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in (EXP_BUILD_LIB_SPEC): Always link expect against
	the static library.
	(EXP_LIB_FILE): Always set to EXP_NONSHARED_LIB_FILE.

	* configure: Regenerated.

Tue Apr 28 18:54:13 1998  Geoffrey Noer  <noer@cygnus.com>

	* aclocal.m4: add autoconf macros AM_EXEEXT and AM_CYGWIN32
	* configure.in: call AM_EXEEXT
	* Makefile.in: add EXEEXT variables
	* configure: regenerate

Thu Mar 19 09:12:04 1998  Jeffrey A Law  (law@cygnus.com)

	* configure.in: Handle hpux11 just like hpux10 for now.

Sat Feb 28 17:24:38 1998  Richard Henderson  <rth@cygnus.com>

	* exp_command.c: Use _NSIG if NSIG not present.
	* exp_trap.c: Likewise.

Sun Feb 22 17:39:35 1998  Ian Lance Taylor  <ian@cygnus.com>

	* exp_event.c: Extensive additions to support
	Tcl_CreateFileHandler and Tcl_DeleteFileHandler on cygwin32.
	Define a new pipe channel type, based on code in tclWinPipe.c.
	* exp_command.h (struct exp_f): If __CYGWIN32__, add channel,
	fileproc, and procdata fields.
	* exp_command.c (fd_new): If __CYGWIN32__, initialize channel and
	fileproc fields.
	(Exp_SpawnCmd): If __CYGWIN32__, don't accept -open or -leaveopen
	argumnents.
	(Exp_LogFileCmd): Likewise.
	(Tcl_CloseCmd): Use Tcl_Alloc instead of ckalloc.  Use
	Tcl_NewStringObj instead of TclNewObj and TclInitStringRep.  Use
	Tcl_Free instead of ckfree.
	* expect.c (exp_i_read): If __CYGWIN32__, call
	exp_reading_from_descriptor.
	* pty_termios.c: If __CYGWIN32__, don't include <sys/stropts.h>.
	(pty_stty): If __CYGWIN32__, just exec stty, not /bin/stty.
	(getptyslave): If __CYGWIN32__, don't I_PUSH anything.
	* configure.in: Add many checks for cross_compiling to avoid doing
	the wrong thing when building with a cross compiler.  Add several
	cases to specifically handle a cygwin32 host when building with a
	cross compiler.  On cygwin32, link against -luser32.
	* configure: Rebuild.

Fri Jan 30 16:48:35 1998  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Don't check for openpty on Linux.  It exists on
	Alpha Linux Red Hat 4.2, but it doesn't work correctly.

Thu Jan 22 17:29:27 1998  Fred Fish  <fnf@cygnus.com>

	* exp_clib.c (exp_spawnv): Provide reason for error message if we
 	fail to get the controlling terminal using TIOCSCTTY.
	* exp_command.c (Exp_SpawnCmd): Ditto.

Sun Dec  7 20:39:33 1997  Bob Manson  <manson@charmed.cygnus.com>

	* exp_command.c(Exp_SpawnCmd): Use ClientData instead of
	int for file descriptors.

Wed Oct 15 12:14:26 1997  Jeffrey A Law  (law@cygnus.com)

	* testsuite/config/default.exp (eprompt): Tweak again for new
	prompt variant.

Fri Sep 12 12:57:10 1997  Jeffrey A Law  (law@cygnus.com)

	* testsuite/config/default.exp (eprompt): Accept new prompt
	variant.

Fri Sep 12 10:40:56 1997  Bob Manson  <manson@charmed.cygnus.com>

	* exp_main_sub.c: Instead of using -1 for an invalid value, use 1
 	instead--this will allow the "testsuite" to pass.

Thu Sep  4 11:49:44 1997  Jeffrey A Law  (law@cygnus.com)

	* exp_command.c (NUM_ARGS): Move start of cpp #define to
	column zero.

Thu Aug 28 16:42:58 1997  Bob Manson  <manson@charmed.cygnus.com>

	* exp_command.c (Tcl_CloseCmd): Function to call Tcl_CloseObjCmd
 	with appropriate arguments, mostly stolen from tclBasic.c.

	* Dbg.c (simple_interactor): There doesn't appear to be any
 	equivalent for curEventNum, so replace with -1 for now. (It only
 	appears in the prompt anyway).
	* exp_main_sub.c (Exp_Prompt1Cmd): Ditto.
	* exp_main_sub.c (exp_interpreter): Ditto.

Wed Aug 13 12:57:20 1997  Bob Manson  <manson@charmed.cygnus.com>

	* Makefile.in (X11_PROGS): Commented out until expectk is working
 	with tcl8.
	(X11_PROGS_INSTALLED): Ditto.

Mon Aug 11 20:56:56 1997  Bob Manson  <manson@charmed.cygnus.com>

	* Changes to get expect working under tcl8.

	* expect.c: Include tclInt.h to get a definition of TclWordEnd.
	(exp_eval_with_one_arg): Under Tcl8 TclWordEnd takes an additional
 	parameter. Don't go past the end of the string.

	* exp_main_exp.c: If USE_ITCL is defined, include a call to
	Itcl_Init.

	* exp_command.c: Tcl8 uses an OS-specific type for "file handles".
	This code will NOT work under anything that doesn't use an int;
	it requires cleanup to make it reasonably portable.
	* exp_command.h: Ditto.

	* aclocal.m4: Check for itcl headers.
	* configure.in: Ditto.

	* Makefile.in: Add expecti target.

	* Dbg.c (print_argv): Tcl8 has a new argument to TclFindElement 
	specifying the length of the string.
	(PrintStackBelow): Tcl8 uses objc/objv in the stack frame
	instead of argc/argv; this change is woefully incomplete.

Tue Apr  1 13:55:15 1997  Bob Manson  <manson@charmed.cygnus.com>

	* exp_event.c(exp_get_next_event): Don't delete the
	timeout timer until we actually return.

Thu Mar 20 14:27:45 1997  Geoffrey Noer  <noer@cygnus.com>

        * configure.in: don't check if stty reads stdout for
        i[[3456]]86-*-sysv4.2MP during config; hard code instead
	* configure: regenerated

Thu Mar 13 10:43:06 1997  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (FLAGS_TO_PASS): Removed RUNTEST, RUNTESTFLAGS.
	(RUNTESTFLAGS): Removed.
	(RUNTEST): Removed.

	* configure: Regenerated.
	* configure.in: Always set EXP_CFLAGS to "".

	* configure.in (AC_CONFIG_AUX_DIR): Look in srcdir.

Wed Nov 20 10:42:03 1996  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Always respect CFLAGS as passed in environment.
	If not set, let AC_PROG_CC set it.

Tue Nov 19 09:22:08 1996  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (install_shared_lib): Put else clause onto each if.

Fri Nov 15 11:23:43 1996  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (XCFLAGS): Use EXP_SHLIB_CFLAGS, not
	TCL_SHLIB_CFLAGS.
	(TCL_SHLIB_CFLAGS): Define.

	* configure.in: Allow arguments to --enable-blah to work.
	Compute and AC_SUBST EXP_SHLIB_CFLAGS.
	Added missing AC_MSG_CHECKING.

Thu Nov  7 13:30:39 1996  Tom Tromey  <tromey@cygnus.com>

	* Dbg.c, exp_clib.c, exp_command.c, exp_command.h, exp_glob.c,
	exp_int.h, exp_inter.c, exp_main_sub.c, exp_printify.c,
	exp_printify.h, exp_pty.h, exp_trap.c, exp_tty.c, exp_tty.h,
	exp_win.c, exp_win.h, expect.c, expect_comm.h, pty_termios.c:
	Changes to make gcc -Wall complain less.

Mon Nov  4 14:01:03 1996  Tom Tromey  <tromey@cygnus.com>

	* exp_clib.c (exp_disconnect): #if condition fix.
	(exp_spawnv): Ditto.

	* exp_command.c (Exp_SpawnCmd): #if condition fix.
	(Exp_DisconnectCmd): Ditto.

Tue Oct 15 12:38:50 1996  Tom Tromey  <tromey@cygnus.com>

	* configure: Regenerated.
	* configure.in: Make sure to pass --cache-file argument to
	sub-configure.

Wed Oct  9 11:24:17 1996  Tom Tromey  <tromey@cygnus.com>

	* configure: Regenerated.
	* configure.in (stty_reads_stdout): /bin/stty on OSF 4.0 fails.

Wed Oct  2 10:13:37 1996  Tom Tromey  <tromey@cygnus.com>

	* configure: Regenerated.
	* configure.in (stty_reads_stdout): /bin/stty on DG/UX fails.

Tue Oct  1 10:40:11 1996  Tom Tromey  <tromey@cygnus.com>

	* Dbg.c, exp_clib.c, exp_closetcl.c, exp_command.c, exp_console.c,
	exp_event.c, exp_inter.c, exp_main_tk.c, exp_pty.c, exp_strf.c,
	exp_trap.c, exp_win.c, exp_win.h, expect.c, pty_termios.c: Patches
	to make "gcc -Wall" be more quiet.  From Fred Fish.

Fri Sep 27 10:15:48 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* expect.c (exp_i_read): Pass interp as first arg to exp_error.
	* configure.in (stty_reads_stdout): /bin/stty on OSF2.0, OSF3.2,
	HPUX 9.X, HPUX 10.X guesses wrong, so set value explicitly.

Mon Sep  9 10:29:32 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in: Added code to actually handle --with-x.

	* configure: Regenerated.
	* configure.in: Don't bother looking for Tk if --with-x=no
	specified.

Thu Sep  5 11:01:09 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in (stty_reads_stdout): AIX fails "stty" test in
	background, so set explicitly.  Ditto HPUX 9 and 10.

Thu Aug 29 17:04:55 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* configure.in (i[345]86-*-*): Recognize i686 for pentium pro.
	* configure: Regenerate.

Mon Aug 26 12:33:58 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (install): Depend on install_shared_lib.

Fri Aug 23 10:17:45 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in: Look in `..' for aux files.  Re-enable caching.

Fri Aug 16 12:54:39 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exp_main_tk.c (print_version): New variable.
	(argTable): Added -version.
	(Tk_Init2): Print version if required.

	* exp_main_sub.c (exp_parse_argv): Added `-v' support again.

Wed Aug 14 12:02:26 1996  Tom Tromey  <tromey@rtl.cygnus.com>

	* Makefile.in (X11_PROGS_INSTALLED): Now the same as X11_PROGS.
	(install): Don't depend on expect_installed.
	(clean): Don't remove expect_installed or expectk_installed.
	(mostlyclean): Ditto.

Mon Aug  5 12:55:06 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (XCFLAGS): New macro.
	(CFLAGS): Define to just @CFLAGS@.
	(CFLAGS_INT): Use $(XCFLAGS).
	(expect, expect_installed, expect.tc, expectk, expectk_installed,
	expectk.tc): Use $(XCFLAGS).

Tue Jul 23 14:00:56 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* expect_comm.h: Don't include expect_cf.h.

	* Makefile.in (install): Don't install expect_cf.h.

Thu Jul 18 17:27:12 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (install-scripts): Install cat-buffers here.

Mon Jul 15 13:50:52 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (configure): Don't automatically rebuild.
	(Dbgconfigure): Don't automatically rebuild.

Mon Jun 24 17:47:52 1996  Jason Molenda  (crash@godzilla.cygnus.co.jp)

	* Makefile.in (bindir, libdir, datadir, mandir, infodir, includedir,
	execdatadir): Uset autoconf set values.
	(docdir, oldincludedir): Removed.
	* configure.in (AC_PREREQ): autoconf 2.5 or higher.
	* configure: Rebuilt.

Wed Jun 12 14:18:09 1996  Tom Tromey  <tromey@thepub.cygnus.com>

	* configure: Regenerated.
	* aclocal.m4 (CY_AC_PATH_TCLH, CY_AC_PATH_TKH): Use odd names to
	avoid name clashes with SunOS headers.

Tue Jun  4 17:54:06 1996  Gordon Irlam  <gordoni@snuffle.cygnus.com>

	* install-sh: Add MIT copyright.  Fix typo.

Tue May 28 13:09:26 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (Dbgconfigure): Removed broken srcdir test.

	* Dbgconfigure: Regenerated.
	* Dbgconfig.in: Use CY_AC_C_WORKS.

	* configure: Regenerated.
	* aclocal.m4 (CY_AC_PATH_TCLH): Don't use AC_TRY_RUN.
	(CY_AC_PATH_TKH): Don't use AC_TRY_RUN.

Tue May 21 10:14:24 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* aclocal.m4: Typo fix.

Thu May 16 09:54:18 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in: Use CY_AC_C_WORKS instead of CY_AC_C_CROSS.
	* aclocal.m4: Replaced CY_AC_C_CROSS with CY_AC_C_WORKS.

Fri May 10 16:59:46 1996  Doug Evans  <dje@canuck.cygnus.com>

	* exp_pty.c (errno): Delete.  Include errno.h instead.

Tue Apr 30 10:17:41 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* exp_main_tk.c (main): Removed "-inet-1.0".

	* exp_main_sub.c (exp_parse_argv): Removed "-inet-1.0".

	* configure: Regenerated.
	* configure.in: Append $XLIBS to X_LIBS.
	(have_nsl): Only check for -lnsl once.
	Run AC_CANONICAL_SYSTEM.

	* Makefile.in (install): Don't install scripts.
	(install-scripts): New target.

	* exp_main_tk.c (print_version): New global.
	(argTable): Added -version.
	(main): Handle -version option.

	* exp_main_exp.c (argv): Run Tcl_FindExecutable.

	* exp_main_tk.c (main): Run Tcl_FindExecutable.

	* exp_main_sub.c (exp_parse_argv): Added -v argument.
	(exp_version): No longer static.

Thu Apr 25 12:31:21 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in: Removed "$(srcdir)/" from all dependencies, to work
	around problem with Sun make's VPATH.

Mon Feb 12 23:11:38 1996  Rob Savoye  <rob@chinadoll>

	* aclocal.m4: Fix typo of ac_cv_tkh to be ac_cv_tclh so it works
	on all systems.
	* configure, DBGconfigure, testsuite/configure: Regenerated with
	autoconf 2.7.

Tue Feb  6 11:48:05 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exp_clib.c, exp_printify.c, expect_comm.h: For Tcl 7.5 and
	greater, use ../compat/stdlib.h, not compat/stdlib.h.

Tue Jan 30 12:21:37 1996  Fred Fish  <fnf@kalessin.cygnus.com>

	* exp_regexp.c (regmatch, regrepeat): Only declare strchr if it is not
 	a macro.

Mon Jan 22 11:17:06 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Check for -lieee, -ldl, and -ldld.

	* Makefile.in (OFILES): Include @LIBOBJS@.
	(strerror.o): New target.

	* strerror.c: New file.

	* configure.in: Test for strerror.

Fri Jan 19 11:08:11 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (install, ${SCRIPT_LIST}, test): Find new Tcl libraries.

Thu Jan 18 13:43:13 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Most files: Update to expect 5.19.

Fri Jan 12 16:22:12 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exp_closetcl.c (exp_close_tcl_files): Skip stdin, stdout,
	stderr.
	* expect_comm.h: Declare exp_close_files_interp.
	* exp_command.c (exp_init_most_cmds): Set exp_close_files_interp.

Thu Jan 11 09:43:14 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exp_closetcl.c (exp_close_files_interp): New variable for Tcl
	7.5.
	(exp_close_tcl_files): Updated for Tcl 7.5.

	Prototype and varargs changes:
	* expect.c: Don't include <varargs.h>.
	* Dbg.c: Copied in many defines from expect_comm.h.
	(print): Use new varargs defines.
	* exp_clib.c (exp_fexpectl): Use EXP_VARARGS_START.
	* expect_comm.h: Include "tclInt.h".
	* exp_console.c (exp_console_manipulation_failed): First arg to
	errorlog is char*, not FILE*.
	* exp_log.c (debuglog): Pass name of last argument to
	EXP_VARARGS_START.
	* expect_cf.h.in (tcl_AsyncReady): Removed define.
	* expect.c (Exp_ExpectGlobalCmd): Added cast.
	* exp_command.c (exp_i_update): First arg to exp_debuglog is
	* exp_poll.c (exp_get_next_event): Likewise.
	char*, not Tcl_Interp*.
	* exp_log.h: Use prototypes everywhere.  Include "expect_comm.h".
	* expect_tcl.h: Use EXP_VARARGS, not VARARGS.
	(tcl_AsyncReady): New define for Tcl 7.5.

	* aclocal.m4 (CY_AC_PATH_TCLH): Handle Tcl 7.5 and greater.
	(CY_AC_PATH_TCLLIB): Handle Tcl 7.5 and greater.
	(CY_AC_PATH_TKH): Handle Tk 4.1 and greater.
	(CY_AC_PATH_TKLIB): Handle Tk 4.1 and greater.  Properly quote
	argument to AC_REQUIRE.
	* configure: Regenerated.

Tue Jan  9 16:26:47 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* Makefile.in: Change SHORT_BINDIR to $prefix, rather than
	exec_prefix. This is only used to store the platform independant
	expect scripts.

Dec 18 17:22:05 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

        * configure.in, configure: For a solaris2 machine doing a static
        build, add `-ldl -lw' to avoid unresolved refs using the
        OpenWindows libraries.

Wed Nov 22 08:49:01 1995  Rob Savoye  <rob@chinadollchinadoll.cygnus.com>

	* Most files: Update to expect 5.18.1.

Fri Nov 17 17:31:55 1995  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure.in: Add support for SCO OpenServer. It doesn't like
	the trap either.

Thu Nov 16 09:28:53 1995  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure.in: Use $host to get the OS type rather than trying to
	get the host name ourselves. Use the $host to set the
	STTY_READS_STDOUT for hosts were the test is known to fail. It
	also now configures in the background.
	* configure.in, Dbgconfig.in, testsuite/configure.in: Use
	AC_PROG_CC again since Cygnus configure now does the sames thing.

Mon Oct 30 18:16:48 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* configure.in (no_tk): zero out X_PROGS if we can't find tk
	libraries.

Tue Oct 24 18:25:09 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* Makefile.in (X11HDIR): Changed to X11_CFLAGS.
	(X11_LIB_FLAGS): Changed to X11_LDFLAGS.
	(X11_LIB): Changed to X11_LIBS.
	(CPPFLAGS_SIMPLE): Use X11_CFLAGS.
	(expectk, expectk.tc, tk): use X11_LDFLAGS & X11_LIBS.

	* configure.in (X11HDIR, X11_LIB_FLAGS, X11_LIB): Use X11_CFLAGS,
	X11_LDFLAGS, X11_LIBS.  Link X11 statically on Solaris, SunOS and
	HPUX.

Thu Oct 19 20:55:54 1995  Fred Fish  <fnf@cygnus.com>

	* Makefile.in: Remove extraneous tabs and blanks in otherwise
	empty lines.  That confuses older non-GNU versions of "make".

Mon Oct  9 20:58:50 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* testsuite/aclocal.m4: New file.  Include ../aclocal.m4.

Thu Aug 31 00:16:26 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* HISTORY, Makefile.in, aclocal.m4, exp_command.h, exp_inter.c,
	exp_main_tk.c, exp_pty.c, expect.c, tests/all,
	testsuite/Makefile.in. Update to the 5.18.0 release. Minor
	changes.

Thu Aug 17 18:47:21 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* Most files: Update to the 5.17.7 release.

Thu Aug  3 22:47:36 1995  Jeff Law  (law@snake.cs.utah.edu)

	* pty_termios.c (HAVE_PTMX): Undefine if both HAVE_PTYM and
	HAVE_PTMX are defined (as happens for hpux10).

Thu Jul 27 16:31:23 1995  J.T. Conklin  <jtc@cygnus.com>

	* Makefile.in (configure): Removed rule that automatically
	rebuilds configure script.  Users might not have autoconf.

Tue Jul 18 23:15:03 1995  Fred Fish  <fnf@fishbowl>

	* expect.c (Exp_ExpectGlobalCmd):  Cast ckrealloc first arg to char*.

Sun Jun 18 13:02:41 1995  Fred Fish  <fnf@amigalib.com>

	* configure, configure.in (XLIBS):  When adding -lX11, also preserve
	the previous libraries that we went to the trouble of finding.

Sun Jun 18 12:15:44 1995  Fred Fish  <fnf@amigalib.com>

	* Makefile.in (exp_clib.o): Add dependencies.

Mon May  1 16:50:22 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* configure.in: Also set XINCLUDES in the Makefile.

Fri Apr 28 18:56:02 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* aclocal.m4: Create a clone of AC_C_CROSS called CY_C_CROSS that
	has better error handling in case the native compiler is hosed. 
	* aclocal.m4: Look for tcl and tk directories as just tcl (and tk)
	or tcl[0-9] (and tk[0-9)] so it doesn't match the tclX
	release. Print an error and exit if any of the --with-{tcl,tk}*
	options are used and point to bogus paths. Based Tcl header search
	on tclInt./h rather than tcl.h.
	* Makefile.in: Add dependancies for back in for configure and
	Dbgconfigure targets.

Mon Apr 24 16:46:01 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* exp_command.c, exp_event.h, exp_inter.c, exp_main_tk.c,
	exp_poll.c, exp_select.c, exp_simple.c, exp_tk.c, exp_trap.c,
	exp_tty.c, FAQ, README, HISTORY: Update to expect 5.16.3.

Fri Apr 14 12:00:39 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* configure.in: Copy Dbg_cf.h to objdir, not srcdir.

Tue Apr 11 18:52:24 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* aclocal.m4: Split the macros so header and library searches are
	seperate macros. AC_PATH_{TCL,TK} nows only calls the macros. Lots
	of optimization to the AC_PATH_T* macros. Supports the use of
	--with-tclinclude, --with-tcllib, --with-tkinclude, --with-tklib
	to specify alternative search dirs for tcl and tk stuff.
	* Makefile.in, testsuite/Makefile.in: Re-write targets for
	configure, Dbgconfigure so they work in an unconfigured srcdir.
	* configure.in: Put AC_PATH_X before AC_PATH_TK and make the TK
	test conditional. Fix how Dbgconfigure gets passed the Tcl header
	dir to use --with-PACKAGE which is much simpler. Removed the test
	for user override of X search paths since AC_PATH_X uses.
	--x-includes and --x-libraries instead.
	* Dbgconfig.in: Use AC_PATH_TCLH to find just the headers, and
	test for LynxOS.
	* debugger/: Remove directory. Recursive configuring is so much
	easier... 
	* DbgMkfl.in, Dbg_cf.h.in, Dbg.c, Dbg.h, Dbgconfigure,
	Dbgconfig.in: Sigh, moved back to the top-level expect directory.

Wed Apr  5 17:25:45 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* configure.in: Add a trap so the configure runs in the
	background.

Thu Mar 16 16:56:08 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* debugger: New directory for the Tcl debugger.
	* debugger/Dbg.c, debugger/Dbg.h, debugger/Dbg_cf.h.in: Moved from
	the top level expect directory so it builds standalone.
	* DbgMkfl.in, debugger/Makefile.in: Moved to debugger dir and
	renamed.
	* install-sh, mkinstalldirs: New files borrowed from the autoconf
	distribution.
	* aclocal.m4: New autoconf macros.
	* Makefile.in: Tweaked so it's recursive.
	* configure.in: Use new macros in aclocal.m4 rather than hunting
	for the Tcl and Tk stuff ourseleves.
	* debugger/Makefile.in: Build debugger standalone.
	* testsuite/Makefile.in, testsuite/configure.in: New files for
	autoconf support.
	* exp_test.c, testsuite/exp_test.c: Move test file.

Fri Jan 13 15:30:30 1995  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* Makefile.in (check): Pass EXPECT correctly to runtest.

Thu Oct 20 18:04:06 1994  Rob Savoye  <rob@darkstar.cygnus.com>

	* Makefile.in: Add X11_INCLUDE_FLAGS so top level flags get used
	too.

Tue Jun 14 12:32:07 1994  David J. Mackenzie  (djm@rtl.cygnus.com)

	* aclocal.m4: Copy from TCL directory.
	* configure.in: Improve checks for installed Tcl and Tk.
	* configure: Rebuilt.

Tue Jun  7 13:52:34 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (mostlyclean, realclean): New targets.

Wed May 18 12:21:06 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (install): Add another ``else true''.

Fri Apr 29 16:49:36 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (install): Always use else in if conditional to
	avoid Ultrix sh bug.

Mon Apr 11 15:22:12 1994  Rob Savoye  (rob@cirdan.cygnus.com)

	* Upgrade to the new "official" beta release of expect 5.7.

Wed Mar 30 17:15:28 1994  Rob Savoye  (rob@cirdan.cygnus.com)

	* testsuite/expect.tests/expect-test.exp: Just run the new expect
	tests and format the outout under DejaGnu.

Mon Mar 28 14:33:55 1994  Rob Savoye  (rob@cirdan.cygnus.com)

	* Upgrade to expect 5.6.3.

Thu Dec  2 16:26:54 1993  Rob Savoye  (rob@darkstar.cygnus.com)

	* configure.in: Add tests to find Tcl and Tk headers and
	libraries.

Thu Aug 19 18:26:49 1993  Rob Savoye  (rob@darkstar.cygnus.com)

	* upgraded to version 4.7.6, add OSF/1 patches in again.

Wed Aug 18 20:10:16 1993  Rob Savoye  (rob@rtl.cygnus.com)

        * upgraded to version 4.7.4, add OSF/1 patches in again.

Tue Aug 17 20:17:40 1993  Rob Savoye  (rob@darkstar.cygnus.com)

	* pty_termios.c, exp_command.c, configure.in: Add support for
	using ptmx_bsd's if they exist. Only found on OSF/1. (patch
	applied from Gregory Depp <depp@osf.org>

Thu Jun 10 11:36:09 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* exp_main.h: fix prototype for exp_cook

Fri Jun  4 08:55:22 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (TCLLIB): If ../tcl/libtcl.a does not exist, use
	-ltcl.

Tue May 25 14:45:12 1993  Rob Savoye  (rob@darkstar.cygnus.com)

	* Makefile.in, configure.in: Add some support for autoconfiguring
	for X.

Sun May 23 22:32:09 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* exp_command.c: Fix so send_log still works when master is out of
	bounds. (ok since it doesn't get used).

Mon May 17 19:51:52 1993  Rob Savoye  (rob@cygnus.com)

	* configure.in: Change test for ranlib so it kicks out "true"
	rather than "@:" if it can't be found.
 
Thu Apr 15 14:11:50 1993  Rob Savoye  (rob@cygnus.com)

	* configure.in, Makefile.in: If using ptmx's (SVR4 style pty's)
	then check for libpt.a too.

Thu Apr  8 17:13:39 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: all doesn't depend on $(SCRIPTS).  When building
	$(SCRIPTS) using fixline & sources in $(srcdir), not the current
	directory.  When installing manpages, install from $(srcdir).
	Don't install like "install foo $(bindir)" but rather "install foo
	$(bindir)/foo".  

Mon Mar 22 23:56:29 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: add check & installcheck targets

Tue Mar  2 20:28:30 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* configure.in, configure: declare SETUID to be @: instead of echo

	* pty_termios.c: declare ptynum

	* Makefile.in: a number of changes, including use of the AR and
	ARFLAGS variables, the appropriate variables for X11 (as passed
	down from the top level Makefile), clean up some doc lines

Mon Mar  1 15:05:40 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* configure.in, defs.h.in: Fixed problem for systems that think
	getpty() should be _getpty().

Thu Feb 25 15:34:34 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* exp_tty.h: Defines portable tty macros.
	* pty_termios.c: New file, slightly based on pty_usg.c. Uses
	portable macros and also supports termio.
	* pty_sgttyb.c: Was pty_bsd.c.
	* configure.in, Makefile.in, configure: autoconf support for
	expect. 

Sun Feb 21 17:42:28 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* exp_tty.h: Removed and renamed the macros to use configure's.

Wed Feb 17 18:56:36 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* expect.c, Makefile.in: Changed SIG_FN_RETURN to RETSIGTYPE
	since that's what autoconf kicks out.

Thu Dec 24 15:07:32 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: added dummy dvi target

Wed Dec 16 11:26:16 1992  Ian Lance Taylor  (ian@cygnus.com)

	* inter_select.c (init_interact): if SCO is defined, use sysconf
	to get maxfds, rather than getdtablesize.
	* configure.in (*-*-sco*): Use mh-sco.
	* mh-sco: New file; like mh-sysv, but pass -DSCO in HDEFS.

Tue Nov 17 14:28:20 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* config/mh-{hpux,aix,irix4,sysv*}: updated with appropriate
	values for the host machine (HDEFS, RANLIB, etc)

	* configure.in: use that

	* Makefile.in: use $(HDEFS) in compiling C files

Sun Nov 15 21:46:16 1992  Fred Fish  (fnf@cygnus.com)

	* Update to base 3.24.0 release, merging back in changes made
	by cygnus to 3.22.12 release.

Sat Nov 14 20:16:26 1992  Fred Fish  (fnf@cygnus.com)

	* Makefile.in (CFLAGS):  Rework use of CFLAGS to fit in better with
	cygnus configuration standard.
	* config/mh-svr4:  Removed.
	* config/mh-sysv4:  New file, renamed from mh-svr4.
	* configure.in (*-sysv4):  New configuration.
	* configure.in (*-sun-solaris2, *-sysv4):  Use mh-sysv4.
	* expect.c (sigwinch_handler):  Fix #if without any condition.
	* command.c, expect.c, global.h, lib_exp.c, main.c, term.h:
	Test for SYSV4 as well as SYSV3.
	* inter_select.c (sys/sysconfig.h):  Include when SYSV4 defined.
	* inter_select.c (init_interact):  Add sysconf call for SYSV4.
	* pty_svr4.c (ptsname):  Declare for SYSV4.

Thu Oct 22 17:35:07 1992  Rob Savoye  (rob@cygnus.com)

	* command.c: Added a "send_log" command. It only writes to a log
	file if one was opened by the "log_file" command.

	* main.c: Added setbuf commands for stdin, stdout, stderr to turn
	off buffering. 

